//     
#include "Main.h"
#pragma comment(linker,"\"/manifestdependency:type='win32' name='Microsoft.Windows.Common-Controls' version='6.0.0.0' processorArchitecture='*' publicKeyToken='6595b64144ccf1df' language='*'\"")
HANDLE hHeap,hFile;int i,j;DWORD dwBytes;bool bDisabled=0;
char *szFldTypes[]={"","Ƹ "," ",""};XFORM xf={};const int wInitYear=1995;
void CopyText(HWND hDlg){
	if(bDisabled){
		i=SendDlgItemMessage(hDlg,TxtCoverText,WM_GETTEXTLENGTH,0,0);
		char* szBuf=(char*)HeapAlloc(hHeap,0,++i);
		SendDlgItemMessage(hDlg,TxtCoverText,WM_GETTEXT,i,(LPARAM)szBuf);
		SendDlgItemMessage(hDlg,TxtPaperback,WM_SETTEXT,0,(LPARAM)szBuf);
		HeapFree(hHeap,0,szBuf);
	}
	return;
}
HFONT MakeFont(float fScale,bool bBold){
	return CreateFont(fScale*14,0,0,0,bBold?FW_BOLD:0,0,0,0,RUSSIAN_CHARSET,OUT_OUTLINE_PRECIS,0,0,0,"Times New Roman");
}
void DrawRotText(HDC hDC,float x,float y,float fScale,char* szText){
	DWORD dwTA=GetTextAlign(hDC);
	xf.eM12=1;xf.eM21=-1;
	SetWorldTransform(hDC,&xf);
	SetTextAlign(hDC,TA_CENTER);
	TextOut(hDC,y*fScale,-x*fScale,szText,lstrlen(szText));
	ModifyWorldTransform(hDC,&xf,MWT_IDENTITY);
	SetTextAlign(hDC,dwTA);
	return;
}
void BreakText(char* szSrcBuf,char* szDstBuf,int iLines){
	int j,k=0,l=lstrlen(szSrcBuf);
	for(j=0;j<l;j++){
		szDstBuf[j+k]=szSrcBuf[j];
		if((j+1)%(l/iLines+1)==0){
			szDstBuf[j+k+1]=13;
			szDstBuf[j+k+2]=10;
			k+=2;
		}
	}
	return;
}
float ceil(float x){
	float r=x-int(x);
	if(r==0)
		return int(x);
	else
		return int(x)+1;
}
int CALLBACK DlgProc(HWND hDlg,UINT uMsg,WPARAM wParam,LPARAM lParam){
	switch(uMsg){
		case WM_INITDIALOG:{
			WORD wCtr;char szBuf[5];
			//  
			hFile=CreateFile("NomenclatureList.txt",GENERIC_READ|GENERIC_WRITE,FILE_SHARE_READ,0,OPEN_EXISTING,FILE_ATTRIBUTE_NORMAL,0);
			if(hFile==(HANDLE)-1){	// 
				MessageBox(0," NomenclatureList.txt       ",0,MB_ICONERROR);
				EndDialog(hDlg,0);
			}else{
				int j=GetFileSize(hFile,0);	//   
				if(j<1)
					MessageBox(0,"   ",0,MB_ICONINFORMATION);
				else{
					char* szNomList=(char*)HeapAlloc(hHeap,HEAP_ZERO_MEMORY,j+1);
					if(!szNomList)
						MessageBox(0,"     ",0,MB_ICONEXCLAMATION);
					else{
						ReadFile(hFile,szNomList,j,&dwBytes,0);
						i=0;
						int n,m;char *szNomTmpPtr;
						do{
							n=i;
							//       0
							while(n<j&&szNomList[n]!=13)
								n++;
							szNomList[n]=0;
							szNomTmpPtr=szNomList+i;
							m=lstrlen(szNomTmpPtr);
							StrTrim(szNomTmpPtr,"	 ");	//  
							if(lstrlen(szNomTmpPtr)>0)
								SendDlgItemMessage(hDlg,CbxIndex,CB_ADDSTRING,0,(LPARAM)szNomTmpPtr);
							i+=m+2;
						}while(i<j);
						HeapFree(hHeap,0,szNomList);
					}
				}
				//   1995  
				SYSTEMTIME st;
				GetLocalTime(&st);st.wYear++;
				for(wCtr=wInitYear;wCtr<=st.wYear;wCtr++){
					wsprintf(szBuf,"%hu",wCtr);
					SendDlgItemMessage(hDlg,CbxYear,CB_ADDSTRING,0,(LPARAM)szBuf);
				}
				SendDlgItemMessage(hDlg,CbxYear,CB_SETCURSEL,--st.wYear-wInitYear,0);
			}
			//    
			for(i=0;i<sizeof(szFldTypes)/4;i++)
				SendDlgItemMessage(hDlg,CbxFldType,CB_ADDSTRING,0,(LPARAM)szFldTypes[i]);
			SendDlgItemMessage(hDlg,CbxFldType,CB_SETCURSEL,0,0);
			//    
			for(wCtr=1;wCtr<21;wCtr++){
				wsprintf(szBuf,"%hu",wCtr);
				SendDlgItemMessage(hDlg,CbxNumber,CB_ADDSTRING,0,(LPARAM)szBuf);
			}
			SendDlgItemMessage(hDlg,CbxNumber,CB_SETCURSEL,0,0);
			return 1;
		}
		case WM_CLOSE:{
			//  
			SetFilePointer(hFile,0,0,FILE_BEGIN);SetEndOfFile(hFile);
			int j=SendDlgItemMessage(hDlg,CbxIndex,CB_GETCOUNT,0,0),k;char* szBuf;
			for(i=0;i<j;i++){
				k=SendDlgItemMessage(hDlg,CbxIndex,CB_GETLBTEXTLEN,i,0);
				szBuf=(char*)HeapAlloc(hHeap,0,k+1);
				SendDlgItemMessage(hDlg,CbxIndex,CB_GETLBTEXT,i,(LPARAM)szBuf);
				WriteFile(hFile,szBuf,k,&dwBytes,0);
				if(j-i!=1)
					WriteFile(hFile,"\r\n",2,&dwBytes,0);
				HeapFree(hHeap,0,szBuf);
			}
			CloseHandle(hFile);
			EndDialog(hDlg,0);
			return 1;
		}
		case WM_COMMAND:{
			if(HIWORD(wParam)==BN_CLICKED){
				//       2- ,      1-
				if(LOWORD(wParam)==ChkDuplicate){
					EnableWindow(GetDlgItem(hDlg,TxtPaperback),bDisabled);
					bDisabled=!bDisabled;
					CopyText(hDlg);
				}else if(LOWORD(wParam)==BtnPrint){
					//   .    , 
					//*   ?
					i=SendDlgItemMessage(hDlg,CbxIndex,WM_GETTEXTLENGTH,0,0);
					char* szBuf=(char*)HeapAlloc(hHeap,0,++i);
					SendDlgItemMessage(hDlg,CbxIndex,WM_GETTEXT,i,(LPARAM)szBuf);
					if(SendDlgItemMessage(hDlg,CbxIndex,CB_FINDSTRINGEXACT,-1,(LPARAM)szBuf)==CB_ERR)	//  , 
						SendDlgItemMessage(hDlg,CbxIndex,CB_ADDSTRING,0,(LPARAM)szBuf);
					HeapFree(hHeap,0,szBuf);
					PRINTDLG *pd=(PRINTDLG*)HeapAlloc(hHeap,HEAP_ZERO_MEMORY,sizeof PRINTDLG);
					pd->lStructSize=sizeof PRINTDLG;
					pd->hwndOwner=hDlg;
					pd->Flags=PD_HIDEPRINTTOFILE;
					if(PrintDlg(pd)){
						DEVMODE *dm=(DEVMODE*)GlobalLock(pd->hDevMode);DEVNAMES *dn=(DEVNAMES*)GlobalLock(pd->hDevNames);
						float fBPI=dm->dmPrintQuality,fTextScale=fBPI/72.f,fLineScale=fBPI/25.4f;
						HDC hDC=CreateDC((LPSTR)dn+dn->wDriverOffset,LPSTR(dn)+dn->wDeviceOffset,0,dm);
						if(hDC){
							DOCINFO* lpDI=(DOCINFO*)HeapAlloc(hHeap,HEAP_ZERO_MEMORY,sizeof DOCINFO);
							if(StartDoc(hDC,lpDI)>0){
								if(StartPage(hDC)>0){
									char *szBuf;char szText[10];RECT r;SIZE s;
									HFONT hFont=MakeFont(fTextScale,0);
									SelectObject(hDC,hFont);
									j=SendDlgItemMessage(hDlg,CbxFldType,CB_GETCURSEL,0,0);
									switch(j){
										case 0:		//  
										case 3:{
											//     . 
											Rectangle(hDC,5*fLineScale,5*fLineScale,205*fLineScale,146*fLineScale);
											MoveToEx(hDC,5*fLineScale,11*fLineScale,0);
											LineTo(hDC,205*fLineScale,11*fLineScale);
											MoveToEx(hDC,5*fLineScale,133*fLineScale,0);
											LineTo(hDC,205*fLineScale,133*fLineScale);
											MoveToEx(hDC,138*fLineScale,5*fLineScale,0);
											LineTo(hDC,138*fLineScale,11*fLineScale);
											MoveToEx(hDC,71*fLineScale,133*fLineScale,0);
											LineTo(hDC,71*fLineScale,146*fLineScale);
											MoveToEx(hDC,138*fLineScale,133*fLineScale,0);
											LineTo(hDC,138*fLineScale,146*fLineScale);
											HPEN hDashPen=CreatePen(PS_DASH,1,0);
											HGDIOBJ hPrevPen=SelectObject(hDC,hDashPen);	//   (  )
											MoveToEx(hDC,5*fLineScale,148.5*fLineScale,0);
											LineTo(hDC,205*fLineScale,148.5*fLineScale);
											if(!j){		//   
												hPrevPen=SelectObject(hDC,hPrevPen);
												Rectangle(hDC,5*fLineScale,151*fLineScale,205*fLineScale,198*fLineScale);
												MoveToEx(hDC,25*fLineScale,151*fLineScale,0);
												LineTo(hDC,25*fLineScale,198*fLineScale);
												MoveToEx(hDC,40*fLineScale,151*fLineScale,0);
												LineTo(hDC,40*fLineScale,198*fLineScale);
												MoveToEx(hDC,60*fLineScale,151*fLineScale,0);
												LineTo(hDC,60*fLineScale,198*fLineScale);
												MoveToEx(hDC,80*fLineScale,151*fLineScale,0);
												LineTo(hDC,80*fLineScale,198*fLineScale);
												MoveToEx(hDC,190*fLineScale,151*fLineScale,0);
												LineTo(hDC,190*fLineScale,198*fLineScale);
												hPrevPen=SelectObject(hDC,hPrevPen);
												MoveToEx(hDC,5*fLineScale,200.5*fLineScale,0);
												LineTo(hDC,205*fLineScale,200.5*fLineScale);
											}
											SelectObject(hDC,hPrevPen);
											DeleteObject(hDashPen);
											//          
											SetGraphicsMode(hDC,GM_ADVANCED);
											SetTextAlign(hDC,TA_BOTTOM);
											// ,  
											i=SendDlgItemMessage(hDlg,CbxIndex,WM_GETTEXTLENGTH,0,0);
											if(i>0){
												szBuf=(char*)HeapAlloc(hHeap,0,++i);
												SendDlgItemMessage(hDlg,CbxIndex,WM_GETTEXT,i,(LPARAM)szBuf);
												TextOut(hDC,6*fLineScale,10.5*fLineScale,szBuf,--i);
												if(!j)
													DrawRotText(hDC,73,174.5,fLineScale,szBuf);
												HeapFree(hHeap,0,szBuf);
											}
											// /
											i=SendDlgItemMessage(hDlg,ChkOriginal,BM_GETCHECK,0,0);
											szBuf=i?"":"";
											TextOut(hDC,6*fLineScale,142*fLineScale,szBuf,lstrlen(szBuf));
											if(!j)
												DrawRotText(hDC,35,174.5,fLineScale,szBuf);
											// 
											lstrcpy(szText," ");
											SendDlgItemMessage(hDlg,CbxNumber,WM_GETTEXT,3,(LPARAM)szText+7);
											TextOut(hDC,72*fLineScale,142*fLineScale,szText,9);
											if(!j)
												DrawRotText(hDC,53,174.5,fLineScale,szText);
											// 
											i=SendDlgItemMessage(hDlg,TxtPost,WM_GETTEXTLENGTH,0,0)+SendDlgItemMessage(hDlg,TxtName,WM_GETTEXTLENGTH,0,0)+15;
											szBuf=(char*)HeapAlloc(hHeap,0,i);
											lstrcpy(szBuf," ");
											SendDlgItemMessage(hDlg,TxtPost,WM_GETTEXT,i,(LPARAM)szBuf+12);
											lstrcat(szBuf,"\r\n");
											SendDlgItemMessage(hDlg,TxtName,WM_GETTEXT,i,(LPARAM)szBuf+lstrlen(szBuf));
											r.left=139*fLineScale;r.top=134.5*fLineScale;r.right=204*fLineScale;r.bottom=145*fLineScale;
											SetTextAlign(hDC,TA_TOP);
											DrawText(hDC,szBuf,-1,&r,DT_WORDBREAK|DT_NOCLIP);
											if(!j){
												SendDlgItemMessage(hDlg,TxtName,WM_GETTEXT,i,(LPARAM)szBuf);
												DrawRotText(hDC,17.5,174.5,fLineScale,szBuf);
											}
											HeapFree(hHeap,0,szBuf);
											//  
											SetTextAlign(hDC,TA_BOTTOM|TA_RIGHT);
											SendDlgItemMessage(hDlg,CbxYear,WM_GETTEXT,5,(LPARAM)szText);
											if(!j){
												HFONT hBoldFont=MakeFont(fTextScale,1);
												SelectObject(hDC,hBoldFont);
												DrawRotText(hDC,200,174.5,fLineScale,szText);
												SelectObject(hDC,hFont);
												DeleteObject(hBoldFont);
											}
											lstrcat(szText," ");
											TextOut(hDC,204*fLineScale,10.5*fLineScale,szText,8);
										}break;
										case 1:{	//Ƹ 
											Rectangle(hDC,96.5*fLineScale,5*fLineScale,113.5*fLineScale,292*fLineScale);
											MoveToEx(hDC,96.5*fLineScale,25*fLineScale,0);
											LineTo(hDC,113.5*fLineScale,25*fLineScale);
											MoveToEx(hDC,96.5*fLineScale,212*fLineScale,0);
											LineTo(hDC,113.5*fLineScale,212*fLineScale);
											MoveToEx(hDC,96.5*fLineScale,232*fLineScale,0);
											LineTo(hDC,113.5*fLineScale,232*fLineScale);
											MoveToEx(hDC,96.5*fLineScale,252*fLineScale,0);
											LineTo(hDC,113.5*fLineScale,252*fLineScale);
											MoveToEx(hDC,96.5*fLineScale,272*fLineScale,0);
											LineTo(hDC,113.5*fLineScale,272*fLineScale);
											HPEN hDashPen=CreatePen(PS_DASH,1,0);
											HGDIOBJ hPrevPen=SelectObject(hDC,hDashPen);	//   (  )
											MoveToEx(hDC,94*fLineScale,5*fLineScale,0);
											LineTo(hDC,94*fLineScale,292*fLineScale);
											MoveToEx(hDC,116*fLineScale,5*fLineScale,0);
											LineTo(hDC,116*fLineScale,292*fLineScale);
											SelectObject(hDC,hPrevPen);
											DeleteObject(hDashPen);
											//  
											SetTextAlign(hDC,TA_CENTER);
											SendDlgItemMessage(hDlg,CbxYear,WM_GETTEXT,5,(LPARAM)szText);
											TextOut(hDC,105*fLineScale,12*fLineScale,szText,4);
											// 
											SendDlgItemMessage(hDlg,CbxNumber,WM_GETTEXT,3,(LPARAM)szText);
											i=lstrlen(szText);
											TextOut(hDC,105*fLineScale,239*fLineScale,szText,i);
											// /
											i=SendDlgItemMessage(hDlg,ChkOriginal,BM_GETCHECK,0,0);
											TextOut(hDC,105*fLineScale,259*fLineScale,i?"":"",1);
											// 
											j=SendDlgItemMessage(hDlg,TxtName,WM_GETTEXTLENGTH,0,0);
											if(j>0){
												szBuf=(char*)HeapAlloc(hHeap,0,++j);
												SendDlgItemMessage(hDlg,TxtName,WM_GETTEXT,j,(LPARAM)szBuf);
												r.left=97*fLineScale;r.right=113*fLineScale;
												GetTextExtentPoint(hDC,szBuf,j,&s);
												i=ceil((float)s.cx/(r.right-r.left));
												r.top=282*fLineScale-s.cy*i/2;r.bottom=282*fLineScale+s.cy*i/2;
												char* szTmp=(char*)HeapAlloc(hHeap,HEAP_ZERO_MEMORY,j+i*3);
												BreakText(szBuf,szTmp,i);
												SetTextAlign(hDC,TA_LEFT);
												DrawText(hDC,szTmp,-1,&r,DT_CENTER|DT_VCENTER|DT_WORDBREAK);
												SetTextAlign(hDC,TA_CENTER);
												HeapFree(hHeap,0,szTmp);
												HeapFree(hHeap,0,szBuf);
											}
											// ,  
											j=SendDlgItemMessage(hDlg,CbxIndex,WM_GETTEXTLENGTH,0,0);
											if(j>0){
												szBuf=(char*)HeapAlloc(hHeap,0,++j);
												SendDlgItemMessage(hDlg,CbxIndex,WM_GETTEXT,j,(LPARAM)szBuf);
												r.left=-232*fLineScale;r.right=-212*fLineScale;
												GetTextExtentPoint(hDC,szBuf,j,&s);
												i=ceil((float)s.cx/(r.right-r.left));
												r.top=105*fLineScale-s.cy*i/2;r.bottom=105*fLineScale+s.cy*i/2;
												xf.eM12=-1;xf.eM21=1;
												SetWorldTransform(hDC,&xf);
												SetTextAlign(hDC,TA_LEFT);
												char* szTmp=(char*)HeapAlloc(hHeap,HEAP_ZERO_MEMORY,j+i*3);
												BreakText(szBuf,szTmp,i);
												DrawText(hDC,szTmp,-1,&r,DT_CENTER|DT_VCENTER|DT_WORDBREAK);
												ModifyWorldTransform(hDC,&xf,MWT_IDENTITY);
												HeapFree(hHeap,0,szTmp);
												HeapFree(hHeap,0,szBuf);
											}
										}break;
										default:{	// 
											MoveToEx(hDC,70*fLineScale,5*fLineScale,0);
											LineTo(hDC,135*fLineScale,5*fLineScale);
											MoveToEx(hDC,70*fLineScale,25*fLineScale,0);
											LineTo(hDC,135*fLineScale,25*fLineScale);
											MoveToEx(hDC,70*fLineScale,212*fLineScale,0);
											LineTo(hDC,135*fLineScale,212*fLineScale);
											MoveToEx(hDC,70*fLineScale,232*fLineScale,0);
											LineTo(hDC,135*fLineScale,232*fLineScale);
											MoveToEx(hDC,70*fLineScale,252*fLineScale,0);
											LineTo(hDC,135*fLineScale,252*fLineScale);
											MoveToEx(hDC,70*fLineScale,272*fLineScale,0);
											LineTo(hDC,135*fLineScale,272*fLineScale);
											MoveToEx(hDC,70*fLineScale,292*fLineScale,0);
											LineTo(hDC,135*fLineScale,292*fLineScale);
											MoveToEx(hDC,85*fLineScale,5*fLineScale,0);
											LineTo(hDC,85*fLineScale,292*fLineScale);
											HPEN hDashPen=CreatePen(PS_DASH,1,0);
											HGDIOBJ hPrevPen=SelectObject(hDC,hDashPen);
											MoveToEx(hDC,70*fLineScale,5*fLineScale,0);
											LineTo(hDC,70*fLineScale,292*fLineScale);
											MoveToEx(hDC,135*fLineScale,5*fLineScale,0);
											LineTo(hDC,135*fLineScale,292*fLineScale);
											SelectObject(hDC,hPrevPen);
											DeleteObject(hDashPen);
											//  
											SetTextAlign(hDC,TA_CENTER);
											SendDlgItemMessage(hDlg,CbxYear,WM_GETTEXT,5,(LPARAM)szText);
											TextOut(hDC,77.5*fLineScale,12*fLineScale,szText,4);
											TextOut(hDC,110*fLineScale,12*fLineScale,szText,4);
											// ,  
											j=SendDlgItemMessage(hDlg,CbxIndex,WM_GETTEXTLENGTH,0,0);
											if(j>0){
												szBuf=(char*)HeapAlloc(hHeap,0,++j);
												SendDlgItemMessage(hDlg,CbxIndex,WM_GETTEXT,j,(LPARAM)szBuf);
												TextOut(hDC,110*fLineScale,219*fLineScale,szBuf,--j);
												r.left=70.5*fLineScale;r.right=84.5*fLineScale;
												GetTextExtentPoint(hDC,szBuf,i,&s);
												i=ceil((float)s.cx/(r.right-r.left));
												r.top=222*fLineScale-s.cy*i/2;r.bottom=222*fLineScale+s.cy*i/2;
												char* szTmp=(char*)HeapAlloc(hHeap,HEAP_ZERO_MEMORY,j+i*3);
												BreakText(szBuf,szTmp,i);
												SetTextAlign(hDC,TA_LEFT);
												DrawText(hDC,szTmp,-1,&r,DT_CENTER|DT_VCENTER|DT_WORDBREAK);
												SetTextAlign(hDC,TA_CENTER);
												HeapFree(hHeap,0,szTmp);
												HeapFree(hHeap,0,szBuf);
											}
											// 
											SendDlgItemMessage(hDlg,CbxNumber,WM_GETTEXT,3,(LPARAM)szText);
											i=lstrlen(szText);
											TextOut(hDC,77.5*fLineScale,239*fLineScale,szText,i);
											TextOut(hDC,110*fLineScale,239*fLineScale,szText,i);
											// /
											i=SendDlgItemMessage(hDlg,ChkOriginal,BM_GETCHECK,0,0);
											szBuf=i?"":"";
											TextOut(hDC,77.5*fLineScale,259*fLineScale,szBuf,1);
											TextOut(hDC,110*fLineScale,259*fLineScale,szBuf,lstrlen(szBuf));
											// 
											i=SendDlgItemMessage(hDlg,TxtPost,WM_GETTEXTLENGTH,0,0)+SendDlgItemMessage(hDlg,TxtName,WM_GETTEXTLENGTH,0,0)+3;
											szBuf=(char*)HeapAlloc(hHeap,0,i);
											SendDlgItemMessage(hDlg,TxtPost,WM_GETTEXT,i,(LPARAM)szBuf);
											lstrcat(szBuf,"\r\n");
											SendDlgItemMessage(hDlg,TxtName,WM_GETTEXT,i,(LPARAM)szBuf+lstrlen(szBuf));
											r.left=87*fLineScale;r.top=276*fLineScale;r.right=137*fLineScale;r.bottom=291*fLineScale;
											SetTextAlign(hDC,TA_LEFT);
											DrawText(hDC,szBuf,-1,&r,DT_CENTER|DT_WORDBREAK);
										}
									}
									DeleteObject(hFont);
									EndPage(hDC);
								}else
									MessageBox(hDlg,"   ",0,MB_ICONERROR);
								EndDoc(hDC);
							}else
								MessageBox(hDlg,"    ",0,MB_ICONERROR);
							DeleteDC(hDC);
						}else{
							i=lstrlen(LPSTR(dn)+dn->wDriverOffset)+lstrlen(LPSTR(dn)+dn->wDeviceOffset)+lstrlen(LPSTR(dn)+dn->wOutputOffset)+5+128;
							char* szStr=(char*)HeapAlloc(hHeap,0,i);
							wsprintf(szStr,"%s\r\n%s\r\n%s\r\n",LPSTR(dn)+dn->wDriverOffset,LPSTR(dn)+dn->wDeviceOffset,LPSTR(dn)+dn->wOutputOffset);
							FormatMessage(FORMAT_MESSAGE_FROM_SYSTEM,0,GetLastError(),0,LPSTR(szStr)+lstrlen(szStr),128,0);
							MessageBox(hDlg,szStr,0,0);
							HeapFree(hHeap,0,szStr);
							//MessageBox(hDlg,"  ",0,MB_ICONERROR);
						}
					}
					HeapFree(hHeap,0,pd);
				}
			}else if(HIWORD(wParam)==EN_UPDATE&&LOWORD(wParam)==TxtCoverText)
				CopyText(hDlg);
		}break;
	}
	return 0;
}
int main(){
	hHeap=GetProcessHeap();
	InitCommonControls();
	if(DialogBox(0,MAKEINTRESOURCE(IDD_Main),0,&DlgProc)==-1)
		MessageBox(0,"  ",0,MB_ICONERROR);
	ExitProcess(0);
}